|

Export CIP information for Apex

post/users/{fp_id}/integrations/apex/cip_report
Preview
External ID
Builds CIP information for the provided user and returns it as a JSON object.

Request

Path parameters

fp_id·

string

Body

default_approver·

string

The default approver name/email to use for automatically approved users. This will be overwritten if done by a manual reviewer

Response

approved_at·

string

approved_by·

string

approved_reason·

optional string

check_completed_at·

optional string

check_initiated_at·

optional string

checked_data·

object

address·

string

customer_name·

string

date_of_birth·

string

tax_id·

optional string

date_of_birth·

string

Allowed values:

clear
consider
date_of_birth_breakdown·

array of strings

Allowed values:

footprint
idology
lexis
experian
twilio
middesk
incode
neuro_id
samba_safety
sentilink
comply_advantage
base_layer
verified
fingerprint_js
taktile
resistant
ip_address·

string

kyc_completed_at·

optional string

matched_address·

string

Allowed values:

clear
consider
matched_addresses·

array of strings

Allowed values:

footprint
idology
lexis
experian
twilio
middesk
incode
neuro_id
samba_safety
sentilink
comply_advantage
base_layer
verified
fingerprint_js
taktile
resistant
result·

string

Allowed values:

clear
consider
self_reported·

object

annual_income·

optional string

citizenships·

optional string

declarations·

optional string

employment_status·

optional string

investment_objectives·

optional string

is_employed_at_brokerage_firm·

optional string

net_worth·

optional string

occupation·

optional string

us_legal_status·

optional string

visa_kind·

optional string

tax_id·

string

Allowed values:

clear
consider
tax_id_breakdown·

array of strings

Allowed values:

footprint
idology
lexis
experian
twilio
middesk
incode
neuro_id
samba_safety
sentilink
comply_advantage
base_layer
verified
fingerprint_js
taktile
resistant
user_id·

string

watchlist·

object

adverse_media·

string

Allowed values:

clear
consider
check_completed_at·

string

monitored_lists·

string

Allowed values:

clear
consider
politically_exposed_person·

string

Allowed values:

clear
consider
records·

array of string | integer | boolean | object

result·

string

Allowed values:

clear
consider
sanction·

string

Allowed values:

clear
consider
POST /users/{fp_id}/integrations/apex/cip_report
1curl -X POST https://api.onefootprint.com/users/{fp_id}/integrations/apex/cip_report \
2  -u sk_test_xxxxx: \
3  -d '{
4    "default_approver": "janedoe@acmebank.org"
5  }'
Response example
{
  "approved_at": "2022-01-04T12:00-07:00",
  "approved_by": "Lorem ipsum dolor",
  "approved_reason": "Lorem ipsum dolor",
  "check_completed_at": "2022-01-04T12:00-07:00",
  "check_initiated_at": "2022-01-04T12:00-07:00",
  "checked_data": {
    "address": "Lorem ipsum dolor",
    "customer_name": "Lorem ipsum dolor",
    "date_of_birth": "Lorem ipsum dolor",
    "tax_id": "Lorem ipsum dolor"
  },
  "date_of_birth": "clear",
  "date_of_birth_breakdown": [
    "footprint",
    "idology"
  ],
  "ip_address": "192.168.1.1",
  "kyc_completed_at": "2022-01-04T12:00-07:00",
  "matched_address": "clear",
  "matched_addresses": [
    "footprint",
    "idology"
  ],
  "result": "clear",
  "self_reported": {
    "annual_income": "Lorem ipsum dolor",
    "citizenships": "Lorem ipsum dolor",
    "declarations": "Lorem ipsum dolor",
    "employment_status": "Lorem ipsum dolor",
    "investment_objectives": "Lorem ipsum dolor",
    "is_employed_at_brokerage_firm": "Lorem ipsum dolor",
    "net_worth": "Lorem ipsum dolor",
    "occupation": "Lorem ipsum dolor",
    "us_legal_status": "Lorem ipsum dolor",
    "visa_kind": "Lorem ipsum dolor"
  },
  "tax_id": "clear",
  "tax_id_breakdown": [
    "footprint",
    "idology"
  ],
  "user_id": "Lorem ipsum dolor",
  "watchlist": {
    "adverse_media": "clear",
    "check_completed_at": "2022-01-04T12:00-07:00",
    "monitored_lists": "clear",
    "politically_exposed_person": "clear",
    "records": [
      "Lorem ipsum dolor",
      "Lorem ipsum dolor"
    ],
    "result": "clear",
    "sanction": "clear"
  }
}